/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package salaselo.entities;

import java.io.Serializable;
import java.util.List;
import org.hibernate.Session;
import org.hibernate.Transaction;
import salaselo.util.HibernateUtil;

/**
 *
 * @author maldoror
 */
public class Sala implements Serializable{
    private int salaID;
    private String codigo;
    private String nombre;
    private int capacidad;
    private char recursos;
    private int computadores;

    public Sala() {
    }

    public int getCapacidad() {
        return capacidad;
    }

    public void setCapacidad(int capacidad) {
        this.capacidad = capacidad;
    }

    public String getCodigo() {
        return codigo;
    }

    public void setCodigo(String codigo) {
        this.codigo = codigo;
    }

    public int getComputadores() {
        return computadores;
    }

    public void setComputadores(int computadores) {
        this.computadores = computadores;
    }

    public String getNombre() {
        return nombre;
    }

    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    public char getRecursos() {
        return recursos;
    }

    public void setRecursos(char recursos) {
        this.recursos = recursos;
    }

    public int getSalaID() {
        return salaID;
    }

    public void setSalaID(int salaID) {
        this.salaID = salaID;
    }

    public static List<Sala> getInstances(String codigo) {
        try{
            Session session = HibernateUtil.getSessionFactory().getCurrentSession();
            Transaction tx = session.beginTransaction();
            List<Sala> adm = session.createQuery("from Sala where codigo='"
                    + codigo + "'").list();
            session.close();
            if(!adm.isEmpty()){
                return adm;
            }
        } catch(Exception e) {
            e.printStackTrace();
        }
        return null;
    }
    

}
